<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Classy Pro*/
$footerlayout = of_get_option('footerlayout');
?>

<div id="footer-wrapper">
    	<div class="container footer">         
      
<!-- =============================== Column One - 1 =================================== -->
			<?php if($footerlayout=='onecolumn'){ ?>
                <div class="cols-1">    
              <?php if(!dynamic_sidebar('footer-1')) : ?> 
                <div class="widget-column-1"> 
                 <?php wp_nav_menu( array( 'theme_location' => 'footer') ); ?>                 
               </div>             
              <?php endif; ?>
                
                </div>
            <?php 
            }
             elseif ($footerlayout=='twocolumn'){ ?>

<!-- =============================== Column Two - 2 =================================== -->

            <div class="cols-2">  
            <?php if(!dynamic_sidebar('footer-1')) : ?>  
                  <div class="widget-column-1">                   
                     <h5><?php if( of_get_option('getintouch') != '') { echo of_get_option('getintouch'); } ; ?></h5>
                      <?php if( of_get_option('aboutusdescription') != '') { echo of_get_option('aboutusdescription'); } ; ?> 
                   
                       <div class="contactdetail">                       
                            <?php if( of_get_option('phone',true) != ''){ ?>
                                <p><i class="fas fa-phone-square"></i> <?php echo of_get_option('phone'); ?></p>
                             <?php } ?>
                            
                            <?php if( of_get_option('email',true) != '' ) { ?>
                              <p><i class="fas fa-envelope-open-text"></i> <a href="mailto:<?php echo of_get_option('email',true); ?>"><?php echo of_get_option('email',true) ; ?></a></p>
                           <?php } ?> 
                           
                           <?php if( of_get_option('officetime',true) != ''){ ?>
                              <p><i class="fas fa-clock"></i> <?php echo of_get_option('officetime'); ?></p>
                            <?php } ?>	                                                                   
                       </div>   
                     
              </div>                  
			<?php  endif; ?>
           
                
            <?php if(!dynamic_sidebar('footer-2')) : ?>
              <div class="widget-column-2"> 
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d412505.271238499!2d-115.45519531659504!3d36.12522845626667!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x80beb782a4f57dd1%3A0x3accd5e6d5b379a3!2sLas+Vegas%2C+NV%2C+USA!5e0!3m2!1sen!2sin!4v1538305726773" width="520" height="375" frameborder="0" style="border:0" allowfullscreen></iframe>               
              <?php if( of_get_option('officaddress',true) != '') { ?>                
                <div class="addressbx">
				<h3><?php if( of_get_option('addresstitle') != '') { echo of_get_option('addresstitle'); } ; ?></h3>
				<?php echo do_shortcode(of_get_option('officaddress')); ?></div>
              <?php } ?>
               
               </div>
            <?php endif; ?>
            
                <div class="clear"></div>
            </div><!--end .cols-2-->  
			<?php 
            }
            elseif($footerlayout=='threecolumn'){ ?>
        
<!-- =============================== Column Three - 3 =================================== -->
            <div class="cols-3"> 
               
            <?php if(!dynamic_sidebar('footer-1')) : ?>  
                  <div class="widget-column-1">                   
                    <h5><?php if( of_get_option('abouttitle') != '') { echo of_get_option('abouttitle'); } ; ?></h5>
                   <?php if( of_get_option('aboutusdescription') != '') { echo of_get_option('aboutusdescription'); } ; ?>                      
              </div>                  
			<?php  endif; ?>
           
                
            <?php if(!dynamic_sidebar('footer-2')) : ?>
              <div class="widget-column-2"> 
                 <h5><?php if( of_get_option('letestpoststitle') != ''){ echo of_get_option('letestpoststitle');}; ?></h5>                    
                   <ul class="recent-post"> 
                	<?php query_posts('post_type=post&showposts=2'); ?>
                    <?php  while( have_posts() ) : the_post(); ?> 
                    <li>
                    <?php if ( has_post_thumbnail() ) { $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail' );   $thumbnailSrc = $src[0]; ?>
                    <div class="footerthumb"><a href="<?php the_permalink(); ?>"><img src="<?php echo $thumbnailSrc; ?>" alt="" ></a> </div>
					<?php } else { ?>
                    <div class="footerthumb"><a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url( get_template_directory_uri()); ?>/images/no-image.jpg" /></a></div>
                    <?php } ?>
                    <div class="ftrpostdesc">
                    <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>                  	
                    <span><?php the_date(); ?></span> 
                    </div>
                    <div class="clear"></div>
                    </li>
                    <?php endwhile; ?>
                    </ul>
                    <?php wp_reset_query(); ?>
               
               </div>
            <?php endif; ?>
            
            <?php if(!dynamic_sidebar('footer-3')) : ?>
             	 <div class="widget-column-3"> 
                    <h5><?php if( of_get_option('getintouch') != '') { echo of_get_option('getintouch'); } ; ?></h5>                   
                       <div class="contactdetail">                         
                           <?php if( of_get_option('officaddress',true) != '') { ?>  
								<p><?php echo do_shortcode(of_get_option('officaddress')); ?></p>
              				<?php } ?>
                                            
                            <?php if( of_get_option('phone',true) != ''){ ?>
                                <p><i class="fas fa-phone-square"></i> <?php echo of_get_option('phone'); ?></p>
                             <?php } ?>
                            
                            <?php if( of_get_option('email',true) != '' ) { ?>
                              <p><i class="fas fa-envelope-open-text"></i> <a href="mailto:<?php echo of_get_option('email',true); ?>">
							     <?php echo of_get_option('email',true) ; ?></a>
                              </p>
                           <?php } ?> 
                           
                           <?php if( of_get_option('officetime',true) != ''){ ?>
                              <p><i class="fas fa-clock"></i> <?php echo of_get_option('officetime'); ?></p>
                            <?php } ?>                                                                                               
                       </div>  
                                           
              	 </div>
               <?php endif; ?>
                
                    <div class="clear"></div>
            </div><!--end .cols-3-->  
            <?php
            }
            elseif($footerlayout=='fourcolumn'){ ?>

<!-- =============================== Column Fourth - 4 =================================== -->
          
    		<div class="cols-4">    
               <?php if(!dynamic_sidebar('footer-1')) : ?>  
                  <div class="widget-column-1">                   
                    <h5><?php if( of_get_option('abouttitle') != '') { echo of_get_option('abouttitle'); } ; ?></h5>
                   <?php if( of_get_option('aboutusdescription') != '') { echo of_get_option('aboutusdescription'); } ; ?> 
              </div>                  
			<?php  endif; ?>
           
                
            <?php if(!dynamic_sidebar('footer-2')) : ?>
              <div class="widget-column-2"> 
                 <h5><?php if( of_get_option('usefullinkstitle') != ''){ echo of_get_option('usefullinkstitle');}; ?></h5>
                 <?php wp_nav_menu( array( 'theme_location' => 'footer') ); ?>  
               
               </div>
            <?php endif; ?>
            
            <?php if(!dynamic_sidebar('footer-3')) : ?>
             	 <div class="widget-column-3"> 
                    <h5><?php if( of_get_option('letestpoststitle') != ''){ echo of_get_option('letestpoststitle');}; ?></h5>                    
                   <ul class="recent-post"> 
                	<?php query_posts('post_type=post&showposts=2'); ?>
                    <?php  while( have_posts() ) : the_post(); ?> 
                    <li>
                    <?php if ( has_post_thumbnail() ) { $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail' );   $thumbnailSrc = $src[0]; ?>
                    <div class="footerthumb"><a href="<?php the_permalink(); ?>"><img src="<?php echo $thumbnailSrc; ?>" alt="" ></a> </div>
					<?php } else { ?>
                    <div class="footerthumb"><a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url( get_template_directory_uri()); ?>/images/no-image.jpg" /></a></div>
                    <?php } ?>
                    <div class="ftrpostdesc">
                    <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>                  	
                    <span><?php the_date(); ?></span> 
                    </div>
                    <div class="clear"></div>
                    </li>
                    <?php endwhile; ?>
                    </ul>
                    <?php wp_reset_query(); ?>
                                           
              	 </div>
               <?php endif; ?>
               
               <?php if(!dynamic_sidebar('footer-4')) : ?>
             	 <div class="widget-column-4">                    
                  <h5><?php if( of_get_option('getintouch') != '') { echo of_get_option('getintouch'); } ; ?></h5>                   
                       <div class="contactdetail">                         
                           <?php if( of_get_option('officaddress',true) != '') { ?>  
								<p><?php echo do_shortcode(of_get_option('officaddress')); ?></p>
              				<?php } ?>
                                            
                            <?php if( of_get_option('phone',true) != ''){ ?>
                                <p><i class="fas fa-phone-square"></i> <?php echo of_get_option('phone'); ?></p>
                             <?php } ?>
                            
                            <?php if( of_get_option('email',true) != '' ) { ?>
                              <p><i class="fas fa-envelope-open-text"></i> <a href="mailto:<?php echo of_get_option('email',true); ?>">
							     <?php echo of_get_option('email',true) ; ?></a>
                              </p>
                           <?php } ?> 
                           
                           <?php if( of_get_option('officetime',true) != ''){ ?>
                              <p><i class="fas fa-clock"></i> <?php echo of_get_option('officetime'); ?></p>
                            <?php } ?>                                                                                               
                       </div>  
                   
                                  
              	 </div>
               <?php endif; ?>
                
                    <div class="clear"></div>
                </div><!--end .cols-4-->
             <?php } ?>  
            <div class="clear"></div>       
    </div><!--end .container-->
     
        <div class="copyright-wrapper">
        	<div class="container">                                        	
                <div class="copyby"><?php if( of_get_option('copytext',true) != ''){ echo of_get_option('copytext',true); }; ?></div>
                 <?php if( of_get_option('footersocialicon') != '' ){ echo do_shortcode( of_get_option('footersocialicon', true ));} ?>
                <div class="design-by"><?php if( of_get_option('designby',true) != ''){ echo of_get_option('designby',true); }; ?></div>              
           		<div class="clear"></div>
            </div> 
       </div>
       
    </div>    
<?php if( of_get_option('backtotop') != '') { echo do_shortcode(of_get_option('backtotop')); } ; ?>
<?php wp_footer(); ?>
</div>
</body>
</html>